## org.hibernate.cfg
Class RecoverableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.MappingException
                          org.hibernate.AnnotationException
                              org.hibernate.cfg.RecoverableException

All Implemented Interfaces:
  Serializable

    public class RecoverableException

extends AnnotationException

Should neven be exposed to the client An exception that wrap an underlying exception whith the hope subsequent processing will recover from it.

See Also:
  Serialized Form

Constructor Summary
`RecoverableException(String s)`
`RecoverableException(String msg, Throwable root)`
`RecoverableException(Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecoverableException

    public RecoverableException(String msg,
                                Throwable root)

### RecoverableException

    public RecoverableException(Throwable root)

### RecoverableException

    public RecoverableException(String s)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.